pro getspecfile_mm,file,a,b,c,d,e


; reads in one five-column ascii file: 

; col 1 = wavelength
; col 2 = bin half-width 
; col 3 = data
; col 4 = uncertainty
; col 5 = model

; and returns five separate arrays

; READING IN DATA FROM FILE

width=5
temp=''
empty=' '
startline = 4
endline = 0

; TO DETERMINE THE LENGTH OF THE FILE

line = 0
print,startline

openr,unit,file,/get_lun,/compress
while (endline eq 0) do begin
	line = line+1
	readf,unit,temp
	if (temp eq 'NO NO NO NO NO') then begin
		endline = line-1
		print, endline
	endif
endwhile

length = endline-startline + 1

free_lun,unit
print,'Length of file is ',length

; READ IN DATA
line = 0
array = fltarr(width,length)
openr,unit,file,/get_lun

while not (line eq startline-1) do begin
	line = line+1
	readf,unit,temp
endwhile

temparray=fltarr(width)
index=0
while not (line eq endline) do begin
	line = line+1
	readf,unit,temparray
	array[*,index]=temparray
	index=index+1
endwhile
free_lun,unit

a = reform(array[0,*])
b = reform(array[1,*])      ;NOTE-THIS IS THE *HALF*-WIDTH OF THE BINS
c = reform(array[2,*])
d = reform(array[3,*])
e = reform(array[4,*])
print,a

return
end
